SearchTag (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union

## Enum SearchTag

- java.lang.Object
- - java.lang.Enum<SearchTag>
  - - tv.amwa.maj.union.SearchTag

- All Implemented Interfaces:
    Serializable, Comparable<SearchTag>, MediaEnumerationValue

      public enum SearchTag
      extends Enum<SearchTag>
      implements MediaEnumerationValue

  Specifies the type of criteria used to match packages in a search criteria.

  Original C name: `aafSearchTag_e`

  See Also:
    `SearchCriteria`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ByClass` Criteria that matches packages by their class id.
    `ByCompositionPackageUsageCode` Criteria that matches composition packages by their usage code.
    `ByDataDef` Criteria that matches packages by their data definition.
    `ByMaterialPackageUsageCode` Criteria that matches master packages by their usage code.
    `ByMediaCrit` Criteria that matches packages by their media criteria type.
    `ByName` Criteria that matches packages by their name.
    `ByPackageID` Criteria that matches packages by their package id.
    `ByPackageKind` Criteria that matches packages by their kind.
    `BySourcePackageUsageCode` Criteria that matches source packages by their usage code.
    `ByUsageCode` Criteria that matches all packages by their usage code.
    `NoSearch` Criteria that matches nothing.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static SearchTag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SearchTag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### NoSearch

          public static final SearchTag NoSearch

      Criteria that matches nothing.

      See Also:
        `SearchForNothing`

    - #### ByPackageID

          public static final SearchTag ByPackageID

      Criteria that matches packages by their package id.

      See Also:
        `SearchByPackageID`

    - #### ByPackageKind

          public static final SearchTag ByPackageKind

      Criteria that matches packages by their kind.

      See Also:
        `SearchByPackageKind`

    - #### ByName

          public static final SearchTag ByName

      Criteria that matches packages by their name.

      See Also:
        `SearchByName`

    - #### ByClass

          public static final SearchTag ByClass

      Criteria that matches packages by their class id.

      See Also:
        `SearchByAUID`

    - #### ByDataDef

          public static final SearchTag ByDataDef

      Criteria that matches packages by their data definition.

      See Also:
        `SearchByAUID`

    - #### ByMediaCrit

          public static final SearchTag ByMediaCrit

      Criteria that matches packages by their media criteria type.

      See Also:
        `SearchByMediaCriteria`

    - #### ByUsageCode

          public static final SearchTag ByUsageCode

      Criteria that matches all packages by their usage code.

      See Also:
        `SearchByAUID`, `TypeDefinitions.UsageType`, `UsageType`, `Package.getPackageUsage()`

    - #### ByMaterialPackageUsageCode

          public static final SearchTag ByMaterialPackageUsageCode

      Criteria that matches master packages by their usage code.

      See Also:
        `SearchByAUID`, `TypeDefinitions.UsageType`, `UsageType`, `Package.getPackageUsage()`

    - #### BySourcePackageUsageCode

          public static final SearchTag BySourcePackageUsageCode

      Criteria that matches source packages by their usage code.

      See Also:
        `SearchByAUID`, `TypeDefinitions.UsageType`, `UsageType`, `Package.getPackageUsage()`

    - #### ByCompositionPackageUsageCode

          public static final SearchTag ByCompositionPackageUsageCode

      Criteria that matches composition packages by their usage code.

      See Also:
        `SearchByAUID`, `TypeDefinitions.UsageType`, `UsageType`, `Package.getPackageUsage()`

  - ### Method Detail

    - #### values

          public static SearchTag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchTag c : SearchTag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchTag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.